org.apache.geode.cache.configuration

## Class ResourceManagerType

- java.lang.Object
- - org.apache.geode.cache.configuration.ResourceManagerType

-     @Experimental
      public class ResourceManagerType
      extends java.lang.Object

  The "resource manager" element configures the behavior of the resource manager. The resource manager provides support for resource management of its associated Cache.

  Java class for resource-manager-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="resource-manager-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="critical-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="eviction-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="critical-off-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="eviction-off-heap-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `criticalHeapPercentage`
    `protected java.lang.String` | `criticalOffHeapPercentage`
    `protected java.lang.String` | `evictionHeapPercentage`
    `protected java.lang.String` | `evictionOffHeapPercentage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceManagerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCriticalHeapPercentage()` Gets the value of the criticalHeapPercentage property.
    `java.lang.String` | `getCriticalOffHeapPercentage()` Gets the value of the criticalOffHeapPercentage property.
    `java.lang.String` | `getEvictionHeapPercentage()` Gets the value of the evictionHeapPercentage property.
    `java.lang.String` | `getEvictionOffHeapPercentage()` Gets the value of the evictionOffHeapPercentage property.
    `void` | `setCriticalHeapPercentage(java.lang.String value)` Sets the value of the criticalHeapPercentage property.
    `void` | `setCriticalOffHeapPercentage(java.lang.String value)` Sets the value of the criticalOffHeapPercentage property.
    `void` | `setEvictionHeapPercentage(java.lang.String value)` Sets the value of the evictionHeapPercentage property.
    `void` | `setEvictionOffHeapPercentage(java.lang.String value)` Sets the value of the evictionOffHeapPercentage property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### criticalHeapPercentage

          protected java.lang.String criticalHeapPercentage

    - #### evictionHeapPercentage

          protected java.lang.String evictionHeapPercentage

    - #### criticalOffHeapPercentage

          protected java.lang.String criticalOffHeapPercentage

    - #### evictionOffHeapPercentage

          protected java.lang.String evictionOffHeapPercentage

  - ### Constructor Detail

    - #### ResourceManagerType

          public ResourceManagerType()

  - ### Method Detail

    - #### getCriticalHeapPercentage

          public java.lang.String getCriticalHeapPercentage()

      Gets the value of the criticalHeapPercentage property.
      Returns:
        possible object is `String`

    - #### setCriticalHeapPercentage

          public void setCriticalHeapPercentage(java.lang.String value)

      Sets the value of the criticalHeapPercentage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEvictionHeapPercentage

          public java.lang.String getEvictionHeapPercentage()

      Gets the value of the evictionHeapPercentage property.
      Returns:
        possible object is `String`

    - #### setEvictionHeapPercentage

          public void setEvictionHeapPercentage(java.lang.String value)

      Sets the value of the evictionHeapPercentage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCriticalOffHeapPercentage

          public java.lang.String getCriticalOffHeapPercentage()

      Gets the value of the criticalOffHeapPercentage property.
      Returns:
        possible object is `String`

    - #### setCriticalOffHeapPercentage

          public void setCriticalOffHeapPercentage(java.lang.String value)

      Sets the value of the criticalOffHeapPercentage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEvictionOffHeapPercentage

          public java.lang.String getEvictionOffHeapPercentage()

      Gets the value of the evictionOffHeapPercentage property.
      Returns:
        possible object is `String`

    - #### setEvictionOffHeapPercentage

          public void setEvictionOffHeapPercentage(java.lang.String value)

      Sets the value of the evictionOffHeapPercentage property.
      Parameters:
        `value` - allowed object is `String`